Bug 1000065 - During install / server start show a sign of life
During install / server start show a sign of life
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.2
Unspecified Unspecified
high Severity high
: ER02
: JON 3.2.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks: jon32-Beta-Blockers-1006862
  Show dependency treegraph
 
Reported: 2013-08-22 11:13 EDT by Heiko W. Rupp
Modified: 2014-01-02 15:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
starting.png (65.98 KB, image/png)
2013-10-03 08:08 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Heiko W. Rupp 2013-08-22 11:13:52 EDT
Currently when you have run the installer and it says "done", the server still doing a lot of work (mostly parsing plugins and persiting their metadata).
During that time when the user hits "http://localhost:7080/ he will only see a blank screen.

We need to show some sign of life - similar to that bouncing bar we had before.
Comment 1 Larry O'Leary 2013-08-28 14:37:34 EDT
This isn't limited to the install. This also occurs during a normal startup. There is a very long period (in my case nearly a minute and a half) after the rhqctl start has returned success that the UI remains blank. This is unacceptable.

The expectation is that that UI become available as early as possible regardless of database maintenance, plug-in parsing, inventory sync, etc. Until the UI is available, a progress indicator should appear stating that it is waiting for the server to fully start and it should perform a refresh every few seconds so the user doesn't have to.

Finally, at a minimum, a page should be displayed that indicates the user-interface is temporarily unavailable and that the user should try again in a moment. If we can determine if the server is in the process of starting up then the message should be specific to that event.
Comment 2 Jirka Kremser 2013-09-20 13:12:21 EDT
When the server is starting, there is a page on ${hostname}:7080 that informs the user and when the back-end is ready, it will redirect the user to the coregui.

I moved the original gui (portal war) to "/portal" context so it should be easier to identify the old parts in the future.

branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=863048e05
time:    2013-09-20 17:34:39 +0200
commit:  863048e054750d0b35f69cdc83594928e5c2603e
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1000065] - During install / server start show a sign of life -
         making changes to portal war web app in order to make it work
         with different application context ("/portal").


branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=d8ec664b2
time:    2013-09-20 17:34:39 +0200
commit:  d8ec664b255c59f38459ede0c8d99f721799da4c
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1000065] - During install / server start show a sign of life - Using
         the welcome root page for indicating the server startup. This
         required the portal war webapp to move from "/" context to
         "/portal" context.
Comment 3 Sunil Kondkar 2013-10-03 08:03:14 EDT
Verified on JBoss ON Version: 3.2.0.ER2 Build Number: 9bf6f76:371eac0

The URL http://<hostname>:7080 displays and EAP6 notification page (attached) during install and restart. After server startup, the user is redirected to coregui.
Comment 4 Armine Hovsepyan 2013-10-03 08:08:11 EDT
Created attachment 807056 [details]
starting.png

Note You need to log in before you can comment on or make changes to this bug.